//------------------------------------------------------------------
#property copyright "www.forex-tsd.com"
#property link      "www.forex-tsd.com"
//------------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1  LimeGreen
#property indicator_color2  PaleVioletRed
#property indicator_width1  2
#property indicator_width2  2
#property indicator_minimum 0
#property indicator_maximum 1

//
//
//
//
//

extern int Ma1Period = 12;
extern int Ma1Price  = PRICE_MEDIAN;
extern int Ma1Type   = MODE_SMMA;
extern int Ma1Shift  = 8;
extern int Ma2Period = 26;
extern int Ma2Price  = PRICE_MEDIAN;
extern int Ma2Type   = MODE_SMMA;
extern int Ma2Shift  = 10;

double buffUp[];
double buffDn[];
double ma1[];
double ma2[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   IndicatorBuffers(4);
   SetIndexBuffer(0, buffUp); SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1, buffDn); SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(2, ma1); 
   SetIndexBuffer(3, ma2); 
   return(0);
}
int deinit()
{
   return(0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int i,counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(MathMax(Bars-counted_bars,-MathMin(Ma1Shift,Ma2Shift)),Bars-1);
         
   //
   //
   //
   //
   //

   for(i=limit; i>=0; i--)
   {
      ma1[i] = iMA(NULL,0,Ma1Period,0,Ma1Type,Ma1Price,i);
      ma2[i] = iMA(NULL,0,Ma2Period,0,Ma2Type,Ma2Price,i);
   }      
   for(i=limit; i>=0; i--)
   {
      double diff = ma1[i+Ma1Shift]-ma2[i+Ma2Shift];
         buffUp[i] = EMPTY_VALUE;
         buffDn[i] = EMPTY_VALUE;
            if (diff>0) buffUp[i] = 1;
            if (diff<0) buffDn[i] = 1;
   }
   return(0);
}